Skip to main content
`Ctrl`+`K`

# TSRestartStep

Flags the solver to restart the next step

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSRestartStep(TS ts)

Collective

## Input Parameter

- ts - the `TS` context obtained from `TSCreate()`

## Notes

Multistep methods like `TSBDF` or Runge-Kutta methods with FSAL property require restarting the solver in the event of discontinuities. These discontinuities may be introduced as a consequence of explicitly modifications to the solution vector (which PETSc attempts to detect and handle) or problem coefficients (which PETSc is not able to detect). For the sake of correctness and maximum safety, users are expected to call `TSRestart()` whenever they introduce discontinuities in callback routines (e.g. prestep and poststep routines, or implicit/rhs function routines with discontinuous source terms).

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSBDF`, `TSSolve()`, `TSSetPreStep()`, `TSSetPostStep()`

## Level

advanced

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex41.c
src/ts/tutorials/ex40.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages